Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 508334 - LTR text in RTL textarea may reverse while deleting text
: LTR text in RTL textarea may reverse while deleting text
: regression, rtl, verified1.9.1
Product: Core
Classification: Components
Component: Layout: Text (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
Depends on: 490559
  Show dependency treegraph
Reported: 2009-08-04 12:21 PDT by Tomer Cohen :tomer
Modified: 2009-11-23 17:07 PST (History)
5 users (show)
roc: wanted1.9.2+
smontagu: in‑testsuite?
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---

testcase (918 bytes, text/html)
2009-08-04 12:21 PDT, Tomer Cohen :tomer
no flags Details
screenshot of the testcase (5.72 KB, image/png)
2009-08-04 12:22 PDT, Tomer Cohen :tomer
no flags Details
more reproducable testcase (984 bytes, text/html)
2009-08-04 14:07 PDT, Simon Montagu :smontagu
no flags Details

Description Tomer Cohen :tomer 2009-08-04 12:21:29 PDT
Created attachment 392542 [details]

When mixing between LTR and RTL text in a multiple lines textarea, while removing characters the English text can lose its direction and appear reversed in the textbox.

Steps to reproduce (see attached testcase): 
a. Place the text cursor between the two 'a' characters.
b. Press the backspace key until the English text reverse.
c. Press the backspace key again to get the English text to appear correctly again.

Issue is reproducible for me on Firefox 3.5/Gecko 1.9.1, but not on Firefox 3.0/Gecko 1.9.0.
Comment 1 Tomer Cohen :tomer 2009-08-04 12:22:29 PDT
Created attachment 392543 [details]
screenshot of the testcase
Comment 2 Simon Montagu :smontagu 2009-08-04 14:07:58 PDT
Created attachment 392567 [details]
more reproducable testcase

Specifying the width of the textarea makes this reproducable for me on both Mac and Linux
Comment 3 Simon Montagu :smontagu 2009-08-04 14:09:48 PDT
Uh, no. The second testcase only shows the bug on Mac (at least with my fonts)
Comment 4 Simon Montagu :smontagu 2009-08-05 03:25:10 PDT
As it happened I pulled today after bug 504524 was checked in and before it was backed out, and it seems to fix this.
Comment 5 Simon Montagu :smontagu 2009-10-19 01:26:17 PDT
Fixed by bug 504524. We need to find a variation on the theme of the attached testcases which will reliably fail without the fix.
Comment 6 Robert O'Callahan (:roc) (email my personal email if necessary) 2009-10-20 13:52:33 PDT
Mmmm, do we want to take bug 504524 on branch? I'm not sure.
Comment 7 Simon Montagu :smontagu 2009-10-22 02:30:29 PDT
(In reply to comment #6)
> Mmmm, do we want to take bug 504524 on branch? I'm not sure.

Is that a criterion for whether this is a blocker, or just an obiter dictum? We can probably fix this independently of bug 504524 if necessary.
Comment 8 Robert O'Callahan (:roc) (email my personal email if necessary) 2009-10-22 03:02:54 PDT
How hard is it to fix independently?
Comment 9 Simon Montagu :smontagu 2009-10-22 03:24:20 PDT
Because of the serendipity described in comment 4 I never investigated it thoroughly. I would guess that if I invested enough debugging time to answer the question, the actual fix would take much less time. Probably not more than one or two days' work altogether.
Comment 10 Simon Montagu :smontagu 2009-10-22 04:44:26 PDT
Humph, it looks like this is WFM on 1.9.2, though not on 1.9.1. Possibly bug 490559 is enough to fix it.
Comment 11 Simon Montagu :smontagu 2009-10-22 06:01:28 PDT
Yes, bug 490559 does fix this.
Comment 12 Daniel Veditz [:dveditz] 2009-10-23 10:58:07 PDT
Sounds ugly but not really a "blocker". Happily you have already identified the patch so we'll get to that approval request.
Comment 13 Al Billings [:abillings] 2009-11-23 17:07:47 PST
Verified for 1.9.1 with bug 490559.

Note You need to log in before you can comment on or make changes to this bug.